# DataExchange
TKIGES
IGESToBRep

# IGESToBRep_IGESBoundary Class Reference

This class is intended to translate IGES boundary entity
(142-CurveOnSurface, 141-Boundary or 508-Loop) into the wire.
Methods Transfer are virtual and are redefined in Advanced
Data Exchange to optimize the translation and take into
account advanced parameters.
.

`#include <IGESToBRep_IGESBoundary.hxx>`

Inheritance diagram for IGESToBRep_IGESBoundary:

[legend]

## Public Member Functions

Standard_EXPORT | IGESToBRep_IGESBoundary ()
| Empty constructor .
Standard_EXPORT | IGESToBRep_IGESBoundary (const IGESToBRep_CurveAndSurface &CS)
| Empty constructor .
Standard_EXPORT void | Init (const IGESToBRep_CurveAndSurface &CS, const Handle(IGESData_IGESEntity)&entity, const TopoDS_Face &face, const gp_Trsf2d &trans, const Standard_Real uFact, const Standard_Integer filepreference)
| Inits the object with parameters common for all types of IGES boundaries. <cs>: object to be used for retrieving translation parameters and sending messages, <entity>: boundary entity to be processed, <face>, <trans>, <ufact>: as for IGESToBRep_TopoCurve <filepreference>: preferred representation (2 or 3) given in the IGES file .
Handle_ShapeExtend_WireData | WireData () const
| Returns the resulting wire .
Handle_ShapeExtend_WireData | WireData3d () const
| Returns the wire from 3D curves (edges contain 3D curves and may contain pcurves) .
Handle_ShapeExtend_WireData | WireData2d () const
| Returns the the wire from 2D curves (edges contain pcurves only) .
Standard_EXPORT Standard_Boolean | Transfer (Standard_Boolean &okCurve, Standard_Boolean &okCurve3d, Standard_Boolean &okCurve2d, const Handle(IGESData_IGESEntity)&curve3d, const Standard_Boolean toreverse3d, const Handle(IGESData_HArray1OfIGESEntity)&curves2d, const Standard_Integer number)

Translates 141 and 142 entities.
Returns True if the curve has been successfully translated,
otherwise returns False.
<okCurve..>: flags that indicate whether corresponding
representation has been successfully translated
(must be set to True before first call),
<curve3d>: model space curve for 142 and current model space
curve for 141,
<toreverse3d>: False for 142 and current orientation flag
for 141,
<curves2d>: 1 parameter space curve for 142 or list of
them for current model space curves for 141,
<number>: 1 for 142 and rank number of model space curve for 141.
.

Standard_EXPORT Standard_Boolean | Transfer (Standard_Boolean &okCurve, Standard_Boolean &okCurve3d, Standard_Boolean &okCurve2d, const Handle(ShapeExtend_WireData)&curve3d, const Handle(IGESData_HArray1OfIGESEntity)&curves2d, const Standard_Boolean toreverse2d, const Standard_Integer number, Handle(ShapeExtend_WireData)&lsewd)

Translates 508 entity.
Returns True if the curve has been successfully translated,
otherwise returns False.
Input object IGESBoundary must be created and initialized
before.
<okCurve..>: flags that indicate whether corresponding
representation has been successfully translated
(must be set to True before first call),
<curve3d>: result of translation of current edge,
<curves2d>: list of parameter space curves for edge,
<toreverse2d>: orientation flag of current edge in respect
to its model space curve,
<number>: rank number of edge,
<lsewd>: returns the result of translation of current edge.
.

virtual Standard_EXPORT void | Check (const Standard_Boolean result, const Standard_Boolean checkclosure, const Standard_Boolean okCurve3d, const Standard_Boolean okCurve2d)
| Checks result of translation of IGES boundary entities (types 141, 142 or 508). Checks consistency of 2D and 3D representations and keeps only one if they are inconsistent. <result>: result of translation (returned by Transfer), <checkclosure>: False for 142 without parent 144 entity, otherwise True, <okcurve3d>, <okcurve2d>: those returned by Transfer. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean

Transfer (Standard_Boolean &okCurve, Standard_Boolean &okCurve3d, Standard_Boolean &okCurve2d, const Handle(IGESData_IGESEntity)&icurve3d, const Handle(ShapeExtend_WireData)&scurve3d, const Standard_Boolean usescurve, const Standard_Boolean toreverse3d, const Handle(IGESData_HArray1OfIGESEntity)&curves2d, const Standard_Boolean toreverse2d, const Standard_Integer number, Handle(ShapeExtend_WireData)&lsewd)

| Methods called by both Transfer methods. .

## Static Protected Member Functions

static Standard_EXPORT void | ReverseCurves3d (const Handle(ShapeExtend_WireData)&sewd)
static Standard_EXPORT void | ReverseCurves2d (const Handle(ShapeExtend_WireData)&sewd, const TopoDS_Face &face)

## Protected Attributes

IGESToBRep_CurveAndSurface | myCS
Handle_IGESData_IGESEntity | myentity
Handle_ShapeExtend_WireData | mysewd
Handle_ShapeExtend_WireData | mysewd3d
Handle_ShapeExtend_WireData | mysewd2d
TopoDS_Face | myface
gp_Trsf2d | mytrsf
Standard_Real | myuFact
Standard_Integer | myfilepreference

## Constructor & Destructor Documentation

Standard_EXPORT IGESToBRep_IGESBoundary::IGESToBRep_IGESBoundary | ( |  | ) |

Standard_EXPORT IGESToBRep_IGESBoundary::IGESToBRep_IGESBoundary | ( | const IGESToBRep_CurveAndSurface & | CS | ) |

## Member Function Documentation

virtual Standard_EXPORT void IGESToBRep_IGESBoundary::Check | ( | const Standard_Boolean | result,
|  | const Standard_Boolean | checkclosure,
|  | const Standard_Boolean | okCurve3d,
|  | const Standard_Boolean | okCurve2d
| ) | `[virtual]`

| Reimplemented in IGESControl_IGESBoundary.

Standard_EXPORT const IGESToBRep_IGESBoundary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in IGESControl_IGESBoundary.

Standard_EXPORT void IGESToBRep_IGESBoundary::Init | ( | const IGESToBRep_CurveAndSurface & | CS,
|  | const Handle(IGESData_IGESEntity)& | entity,
|  | const TopoDS_Face & | face,
|  | const gp_Trsf2d & | trans,
|  | const Standard_Real | uFact,
|  | const Standard_Integer | filepreference
| ) |

static Standard_EXPORT void IGESToBRep_IGESBoundary::ReverseCurves2d | ( | const Handle(ShapeExtend_WireData)& | sewd,
|  | const TopoDS_Face & | face
| ) | `[static, protected]`

static Standard_EXPORT void IGESToBRep_IGESBoundary::ReverseCurves3d | ( | const Handle(ShapeExtend_WireData)& | sewd | ) | `[static, protected]`

virtual Standard_EXPORT Standard_Boolean IGESToBRep_IGESBoundary::Transfer | ( | Standard_Boolean & | okCurve,
|  | Standard_Boolean & | okCurve3d,
|  | Standard_Boolean & | okCurve2d,
|  | const Handle(IGESData_IGESEntity)& | icurve3d,
|  | const Handle(ShapeExtend_WireData)& | scurve3d,
|  | const Standard_Boolean | usescurve,
|  | const Standard_Boolean | toreverse3d,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | curves2d,
|  | const Standard_Boolean | toreverse2d,
|  | const Standard_Integer | number,
|  | Handle(ShapeExtend_WireData)& | lsewd
| ) | `[protected, virtual]`

| Reimplemented in IGESControl_IGESBoundary.

Standard_EXPORT Standard_Boolean IGESToBRep_IGESBoundary::Transfer | ( | Standard_Boolean & | okCurve,
|  | Standard_Boolean & | okCurve3d,
|  | Standard_Boolean & | okCurve2d,
|  | const Handle(ShapeExtend_WireData)& | curve3d,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | curves2d,
|  | const Standard_Boolean | toreverse2d,
|  | const Standard_Integer | number,
|  | Handle(ShapeExtend_WireData)& | lsewd
| ) |

Standard_EXPORT Standard_Boolean IGESToBRep_IGESBoundary::Transfer | ( | Standard_Boolean & | okCurve,
|  | Standard_Boolean & | okCurve3d,
|  | Standard_Boolean & | okCurve2d,
|  | const Handle(IGESData_IGESEntity)& | curve3d,
|  | const Standard_Boolean | toreverse3d,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | curves2d,
|  | const Standard_Integer | number
| ) |

Handle_ShapeExtend_WireData IGESToBRep_IGESBoundary::WireData | ( |  | ) | const

Handle_ShapeExtend_WireData IGESToBRep_IGESBoundary::WireData2d | ( |  | ) | const

Handle_ShapeExtend_WireData IGESToBRep_IGESBoundary::WireData3d | ( |  | ) | const

## Field Documentation

IGESToBRep_CurveAndSurface IGESToBRep_IGESBoundary::myCS `[protected]`

Handle_IGESData_IGESEntity IGESToBRep_IGESBoundary::myentity `[protected]`

TopoDS_Face IGESToBRep_IGESBoundary::myface `[protected]`

Standard_Integer IGESToBRep_IGESBoundary::myfilepreference `[protected]`

Handle_ShapeExtend_WireData IGESToBRep_IGESBoundary::mysewd `[protected]`

Handle_ShapeExtend_WireData IGESToBRep_IGESBoundary::mysewd2d `[protected]`

Handle_ShapeExtend_WireData IGESToBRep_IGESBoundary::mysewd3d `[protected]`

gp_Trsf2d IGESToBRep_IGESBoundary::mytrsf `[protected]`

Standard_Real IGESToBRep_IGESBoundary::myuFact `[protected]`

The documentation for this class was generated from the following file:

- IGESToBRep_IGESBoundary.hxx